<script type="text/javascript">
    jQuery(document).ready(function() {
        // hides as soon as the DOM is ready
        jQuery('div.wpptopdf-option-body').hide();
        // shows on clicking the noted link
        jQuery('h3').click(function() {
            jQuery(this).toggleClass("open");
            jQuery(this).next("div").slideToggle('1000');
            return false;
        });
        jQuery('.imageSrc').blur(function() {
            jQuery(this + '+ .imageDisplay').attr('src', this.value);
        });
    });
</script>
<div id="wpptopdf-options" class="wpptopdf-option wrap">
<div id="icon-options-general" class="icon32"><br></div>
<h2>WP Post to PDF Options</h2>

<p>For detailed documentation visit <a target="_blank" title="WP Post to PDF" rel="bookmark"
                                       href="http://www.vareen.co.cc/documentation/wp-post-to-pdf/">WP Post to PDF</a>
</p>

<p>Feel free to drop comments, issues or suggestions.</p>

<form method="post" action="options.php">
<?php settings_fields('wpptopdf_options');
$wpptopdfopts = get_option('wpptopdf'); ?>
    <h3>Accessibility Options</h3>

    <div class="wpptopdf-option-body">
        <table class="form-table">
            <tr valign="top">
                <th scope="row">Non Public Only</th>
                <td>
                    <input name="wpptopdf[nonPublic]"
                           value="1" <?php echo ($wpptopdfopts['nonPublic']) ? 'checked="checked"' : ''; ?>
                           type="checkbox"/>

                    <p>Select if you want to disable PDF download facility for public users. Only logged in users
                        will be able
                        to use PDF download facility in this case.</p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Only on Single</th>
                <td>
                    <input name="wpptopdf[onSingle]"
                           value="1" <?php echo ($wpptopdfopts['onSingle']) ? 'checked="checked"' : ''; ?>
                           type="checkbox"/>

                    <p>Select if you want to display PDF download icon only on single page. Front page will not
                        display PDF
                        download icon in this case.</p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Exclude These</th>
                <td>
                    <input type="text" name="wpptopdf[excludeThis]"
                           value="<?php echo ($wpptopdfopts['excludeThis']) ? $wpptopdfopts['excludeThis'] : ''; ?>"/>

                    <p>Enter list of comma separated post/page IDs on which you dont want to have PDF download
                        facility.</p>
                </td>
            </tr>

        </table>
    </div>
<?php ?>
    <h3>Presentation Options</h3>

    <div class="wpptopdf-option-body">
        <table class="form-table">
            <tr valign="top">
                <th scope="row">Icon Position</th>
                <td>
                <?php
                                  $iconPosition = array('Before' => 'before', 'After' => 'after', 'Before and After' => 'beforeandafter', 'Manual' => 'manual');
                echo '<select name="wpptopdf[iconPosition]">';
                foreach ($iconPosition as $key => $value) {
                    if ($wpptopdfopts['iconPosition'])
                        $checked = ($wpptopdfopts['iconPosition'] == $value) ? 'selected="selected"' : '';
                    echo '<option value="' . $value . '" ' . $checked . ' >' . $key . '</option>';
                }
                echo '</select>';
                ?>
                    <p>Select where to put PDF download icon. If you select manual, use following code within your theme
                        to add
                        icon.
                        <code><?php echo htmlentities('<?php if (function_exists("wpptopdf_display_icon")) echo wpptopdf_display_icon();?>'); ?></code>
                    <?php if (function_exists('wpptopdf_display_icon')) wpptopdf_display_icon();?>
                    </p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Icon Image</th>
                <td>
                    <input id="imageIconSrc" type="text" name="wpptopdf[imageIcon]"
                           value="<?php echo ($wpptopdfopts['imageIcon']) ? $wpptopdfopts['imageIcon'] : WPPT0PDF_URL . '/asset/images/pdf.png'; ?>"/>
                    <img id="pdfIcon"
                         src="<?php echo ($wpptopdfopts['imageIcon']) ? $wpptopdfopts['imageIcon'] : WPPT0PDF_URL . '/asset/images/pdf.png'; ?>"
                         alt="Download in PDF"/>

                    <p>Enter URL of image you want to use as PDF download icon.</p>
                </td>
            </tr>
        </table>
    </div>
    <h3>PDF Formatting Options</h3>

    <div class="wpptopdf-option-body">
        <table class="form-table">
            <tr valign="top">
                <th scope="row">Other Plugins</th>
                <td>
                    <input name="wpptopdf[otherPlugin]"
                           value="1" <?php echo ($wpptopdfopts['otherPlugin']) ? 'checked="checked"' : ''; ?>
                           type="checkbox"/>

                    <p>Select if you want to accomodate changes applied by other plugins, at runtime, into PDF.
                        <br/><span class="wpptopdf-notice">It requires good
            amount of memory and not recommended. Please do not raise any issues caused by enabling this option, this plugin is not responsible for it.</span>
                    </p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Header Logo Image</th>
                <td>
                <?php if (file_exists(WP_CONTENT_DIR . '/uploads/wp-post-to-pdf-logo.png')) { ?>
                    <img src="<?php echo WP_CONTENT_URL . '/uploads/wp-post-to-pdf-logo.png'; ?>"
                         alt="<?php bloginfo('name');?>"/>
                    <p>To change this image, replace it here
                        '<?php echo WP_CONTENT_DIR . '/uploads/wp-post-to-pdf-logo.png'; ?>'</p>
                <?php
                }
                else {
                    ?>
                        <p><span
                                class="wpptopdf-notice">Logo image not found, upload it at  '<?php echo WP_CONTENT_DIR . '/uploads/wp-post-to-pdf-logo.png'; ?>
                            '.</span></p>
                    <?php } ?>
                </td>
            </tr>
        <?php $fonts = array('Helvetica' => 'helvetica', 'Times' => 'times', 'Courier' => 'courier'); ?>
            <tr valign="top">
                <th scope="row">Header Font</th>
                <td>
                <?php
                                                      echo '<select name="wpptopdf[headerFont]">';
                foreach ($fonts as $key => $value) {
                    if ($wpptopdfopts['headerFont'])
                        $checked = ($wpptopdfopts['headerFont'] == $value) ? 'selected="selected"' : '';
                    echo '<option value="' . $value . '" ' . $checked . ' >' . $key . '</option>';
                }
                echo '</select>';
                ?>
                    <p>Select font for text in header part.</p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Header Font Size</th>
                <td>
                    <input type="text" name="wpptopdf[headerFontSize]"
                           value="<?php echo ($wpptopdfopts['headerFontSize']) ? $wpptopdfopts['headerFontSize'] : '10'; ?>"/>

                    <p>Enter font size for text in header part.</p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Footer Font</th>
                <td>
                <?php
                                                      echo '<select name="wpptopdf[footerFont]">';
                foreach ($fonts as $key => $value) {
                    if ($wpptopdfopts['footerFont'])
                        $checked = ($wpptopdfopts['footerFont'] == $value) ? 'selected="selected"' : '';
                    echo '<option value="' . $value . '" ' . $checked . ' >' . $key . '</option>';
                }
                echo '</select>';
                ?>
                    <p>Select font for text in footer part.</p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Footer Font Size</th>
                <td>
                    <input type="text" name="wpptopdf[footerFontSize]"
                           value="<?php echo ($wpptopdfopts['footerFontSize']) ? $wpptopdfopts['footerFontSize'] : '10'; ?>"/>

                    <p>Enter font size for text in footer part.</p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Content Font</th>
                <td>
                <?php
                                                      echo '<select name="wpptopdf[contentFont]">';
                foreach ($fonts as $key => $value) {
                    if ($wpptopdfopts['contentFont'])
                        $checked = ($wpptopdfopts['contentFont'] == $value) ? 'selected="selected"' : '';
                    echo '<option value="' . $value . '" ' . $checked . ' >' . $key . '</option>';
                }
                echo '</select>';
                ?>
                    <p>Select default monospaced font name.</p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Content Font Size</th>
                <td>
                    <input type="text" name="wpptopdf[contentFontSize]"
                           value="<?php echo ($wpptopdfopts['contentFontSize']) ? $wpptopdfopts['contentFontSize'] : '12'; ?>"/>

                    <p>Enter font size for text in main content.</p>
                </td>
            </tr>
        </table>
    </div>
    <p class="submit">
        <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>"/>
    </p>
</form>
<p>

<p>If you find this plugin useful, please donate to continue development of this and several other plugins</p>

<form method="get" action="https://www.paypal.com/cgi-bin/webscr">
    <div class="paypal-donations"><input type="hidden" value="_donations" name="cmd">
        <input type="hidden" value="neeravdobaria@gmail.com" name="business">
        <input type="hidden" value="Support Development" name="item_name">
        <input type="hidden" value="5" name="amount">
        <input type="hidden" value="USD" name="currency_code">
        <input type="image" alt="PayPal - The safer, easier way to pay online." name="submit"
               src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif">
    </div>
</form>
</p>
</div>